Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(revision 9580)
+++ t3lib/class.t3lib_tcemain.php	(revision )
@@ -230,143 +217,132 @@
  * @package TYPO3
  * @subpackage t3lib
  */
-class t3lib_TCEmain	{
+class t3lib_TCEmain {
 
 
-		// *********************
-		// Public variables you can configure before using the class:
-		// *********************
+	// *********************
+	// Public variables you can configure before using the class:
+	// *********************
 
-	var $storeLogMessages = TRUE;			// Boolean: If true, the default log-messages will be stored. This should not be necessary if the locallang-file for the log-display is properly configured. So disabling this will just save some database-space as the default messages are not saved.
+	var $storeLogMessages = TRUE; // Boolean: If true, the default log-messages will be stored. This should not be necessary if the locallang-file for the log-display is properly configured. So disabling this will just save some database-space as the default messages are not saved.
-	var $enableLogging = TRUE;				// Boolean: If true, actions are logged to sys_log.
+	var $enableLogging = TRUE; // Boolean: If true, actions are logged to sys_log.
-	var $reverseOrder = FALSE;				// Boolean: If true, the datamap array is reversed in the order, which is a nice thing if you're creating a whole new bunch of records.
+	var $reverseOrder = FALSE; // Boolean: If true, the datamap array is reversed in the order, which is a nice thing if you're creating a whole new bunch of records.
-	var $checkSimilar = TRUE;				// Boolean: If true, only fields which are different from the database values are saved! In fact, if a whole input array is similar, it's not saved then.
+	var $checkSimilar = TRUE; // Boolean: If true, only fields which are different from the database values are saved! In fact, if a whole input array is similar, it's not saved then.
-	var $stripslashes_values = TRUE;		// Boolean: If true, incoming values in the data-array have their slashes stripped. ALWAYS SET THIS TO ZERO and supply an unescaped data array instead. This switch may totally disappear in future versions of this class!
+	var $stripslashes_values = TRUE; // Boolean: If true, incoming values in the data-array have their slashes stripped. ALWAYS SET THIS TO ZERO and supply an unescaped data array instead. This switch may totally disappear in future versions of this class!
-	var $checkStoredRecords = TRUE;			// Boolean: This will read the record after having updated or inserted it. If anything is not properly submitted an error is written to the log. This feature consumes extra time by selecting records
+	var $checkStoredRecords = TRUE; // Boolean: This will read the record after having updated or inserted it. If anything is not properly submitted an error is written to the log. This feature consumes extra time by selecting records
-	var $checkStoredRecords_loose = TRUE;	// Boolean: If set, values '' and 0 will equal each other when the stored records are checked.
+	var $checkStoredRecords_loose = TRUE; // Boolean: If set, values '' and 0 will equal each other when the stored records are checked.
-	var $deleteTree = FALSE;				// Boolean. If this is set, then a page is deleted by deleting the whole branch under it (user must have deletepermissions to it all). If not set, then the page is deleted ONLY if it has no branch
+	var $deleteTree = FALSE; // Boolean. If this is set, then a page is deleted by deleting the whole branch under it (user must have deletepermissions to it all). If not set, then the page is deleted ONLY if it has no branch
-	var $neverHideAtCopy = FALSE;			// Boolean. If set, then the 'hideAtCopy' flag for tables will be ignored.
+	var $neverHideAtCopy = FALSE; // Boolean. If set, then the 'hideAtCopy' flag for tables will be ignored.
-	var $dontProcessTransformations = FALSE;	// Boolean: If set, then transformations are NOT performed on the input.
+	var $dontProcessTransformations = FALSE; // Boolean: If set, then transformations are NOT performed on the input.
-	var $clear_flexFormData_vDEFbase = FALSE;	// Boolean: If set, .vDEFbase values are unset in flexforms.
+	var $clear_flexFormData_vDEFbase = FALSE; // Boolean: If set, .vDEFbase values are unset in flexforms.
-	var $updateModeL10NdiffData = TRUE;		// Boolean/Mixed: TRUE: (traditional) Updates when record is saved. For flexforms, updates if change is made to the localized value. FALSE: Will not update anything. "FORCE_FFUPD" (string): Like TRUE, but will force update to the FlexForm Field
+	var $updateModeL10NdiffData = TRUE; // Boolean/Mixed: TRUE: (traditional) Updates when record is saved. For flexforms, updates if change is made to the localized value. FALSE: Will not update anything. "FORCE_FFUPD" (string): Like TRUE, but will force update to the FlexForm Field
-	var $updateModeL10NdiffDataClear = FALSE;	// Boolean: If true, the translation diff. fields will in fact be reset so that they indicate that all needs to change again! It's meant as the opposite of declaring the record translated.
+	var $updateModeL10NdiffDataClear = FALSE; // Boolean: If true, the translation diff. fields will in fact be reset so that they indicate that all needs to change again! It's meant as the opposite of declaring the record translated.
-	var $bypassWorkspaceRestrictions = FALSE;	// Boolean: If true, workspace restrictions are bypassed on edit an create actions (process_datamap()). YOU MUST KNOW what you do if you use this feature!
+	var $bypassWorkspaceRestrictions = FALSE; // Boolean: If true, workspace restrictions are bypassed on edit an create actions (process_datamap()). YOU MUST KNOW what you do if you use this feature!
-	var $bypassFileHandling = FALSE;			// Boolean: If true, file handling of attached files (addition, deletion etc) is bypassed - the value is saved straight away. YOU MUST KNOW what you are doing with this feature!
+	var $bypassFileHandling = FALSE; // Boolean: If true, file handling of attached files (addition, deletion etc) is bypassed - the value is saved straight away. YOU MUST KNOW what you are doing with this feature!
-	var $bypassAccessCheckForRecords = FALSE;	// Boolean: If true, access check, check for deleted etc. for records is bypassed. YOU MUST KNOW what you are doing if you use this feature!
+	var $bypassAccessCheckForRecords = FALSE; // Boolean: If true, access check, check for deleted etc. for records is bypassed. YOU MUST KNOW what you are doing if you use this feature!
 
-	var $copyWhichTables = '*';				// String. Comma-list. This list of tables decides which tables will be copied. If empty then none will. If '*' then all will (that the user has permission to of course)
+	var $copyWhichTables = '*'; // String. Comma-list. This list of tables decides which tables will be copied. If empty then none will. If '*' then all will (that the user has permission to of course)
 
-	var $copyTree = 0;						// Integer. If 0 then branch is NOT copied. If 1 then pages on the 1st level is copied. If 2 then pages on the second level is copied ... and so on
+	var $copyTree = 0; // Integer. If 0 then branch is NOT copied. If 1 then pages on the 1st level is copied. If 2 then pages on the second level is copied ... and so on
 
-	var $defaultValues = array();			// Array [table][fields]=value: New records are created with default values and you can set this array on the form $defaultValues[$table][$field] = $value to override the default values fetched from TCA. If ->setDefaultsFromUserTS is called UserTSconfig default values will overrule existing values in this array (thus UserTSconfig overrules externally set defaults which overrules TCA defaults)
+	var $defaultValues = array(); // Array [table][fields]=value: New records are created with default values and you can set this array on the form $defaultValues[$table][$field] = $value to override the default values fetched from TCA. If ->setDefaultsFromUserTS is called UserTSconfig default values will overrule existing values in this array (thus UserTSconfig overrules externally set defaults which overrules TCA defaults)
-	var $overrideValues = array();			// Array [table][fields]=value: You can set this array on the form $overrideValues[$table][$field] = $value to override the incoming data. You must set this externally. You must make sure the fields in this array are also found in the table, because it's not checked. All columns can be set by this array!
+	var $overrideValues = array(); // Array [table][fields]=value: You can set this array on the form $overrideValues[$table][$field] = $value to override the incoming data. You must set this externally. You must make sure the fields in this array are also found in the table, because it's not checked. All columns can be set by this array!
-	var $alternativeFileName = array();		// Array [filename]=alternative_filename: Use this array to force another name onto a file. Eg. if you set ['/tmp/blablabal'] = 'my_file.txt' and '/tmp/blablabal' is set for a certain file-field, then 'my_file.txt' will be used as the name instead.
+	var $alternativeFileName = array(); // Array [filename]=alternative_filename: Use this array to force another name onto a file. Eg. if you set ['/tmp/blablabal'] = 'my_file.txt' and '/tmp/blablabal' is set for a certain file-field, then 'my_file.txt' will be used as the name instead.
-	var $alternativeFilePath = array();		// Array [filename]=alternative_filepath: Same as alternativeFileName but with relative path to the file
+	var $alternativeFilePath = array(); // Array [filename]=alternative_filepath: Same as alternativeFileName but with relative path to the file
-	var $data_disableFields=array();		// If entries are set in this array corresponding to fields for update, they are ignored and thus NOT updated. You could set this array from a series of checkboxes with value=0 and hidden fields before the checkbox with 1. Then an empty checkbox will disable the field.
+	var $data_disableFields = array(); // If entries are set in this array corresponding to fields for update, they are ignored and thus NOT updated. You could set this array from a series of checkboxes with value=0 and hidden fields before the checkbox with 1. Then an empty checkbox will disable the field.
-	var $suggestedInsertUids=array();		// Use this array to validate suggested uids for tables by setting [table]:[uid]. This is a dangerous option since it will force the inserted record to have a certain UID. The value just have to be true, but if you set it to "DELETE" it will make sure any record with that UID will be deleted first (raw delete). The option is used for import of T3D files when synchronizing between two mirrored servers. As a security measure this feature is available only for Admin Users (for now)
+	var $suggestedInsertUids = array(); // Use this array to validate suggested uids for tables by setting [table]:[uid]. This is a dangerous option since it will force the inserted record to have a certain UID. The value just have to be true, but if you set it to "DELETE" it will make sure any record with that UID will be deleted first (raw delete). The option is used for import of T3D files when synchronizing between two mirrored servers. As a security measure this feature is available only for Admin Users (for now)
 
-	var $callBackObj;						// Object. Call back object for flex form traversation. Useful when external classes wants to use the iteration functions inside tcemain for traversing a FlexForm structure.
+	var $callBackObj; // Object. Call back object for flex form traversation. Useful when external classes wants to use the iteration functions inside tcemain for traversing a FlexForm structure.
 
 
-
-
-		// *********************
-		// Internal variables (mapping arrays) which can be used (read-only) from outside
-		// *********************
+	// *********************
+	// Internal variables (mapping arrays) which can be used (read-only) from outside
+	// *********************
-	var $autoVersionIdMap = Array();			// Contains mapping of auto-versionized records.
-	var $substNEWwithIDs = Array();				// When new elements are created, this array contains a map between their "NEW..." string IDs and the eventual UID they got when stored in database
-	var $substNEWwithIDs_table = Array();		// Like $substNEWwithIDs, but where each old "NEW..." id is mapped to the table it was from.
-	var $newRelatedIDs = Array();				// Holds the tables and there the ids of newly created child records from IRRE
-	var $copyMappingArray_merged = Array();		// This array is the sum of all copying operations in this class. May be READ from outside, thus partly public.
-	var $copiedFileMap = Array();				// A map between input file name and final destination for files being attached to records.
-	var $RTEmagic_copyIndex = Array();			// Contains [table][id][field] of fiels where RTEmagic images was copied. Holds old filename as key and new filename as value.
-	var $errorLog = Array();					// Errors are collected in this variable.
 
+	var $autoVersionIdMap = array(); // Contains mapping of auto-versionized records.
+	var $substNEWwithIDs = array(); // When new elements are created, this array contains a map between their "NEW..." string IDs and the eventual UID they got when stored in database
+	var $substNEWwithIDs_table = array(); // Like $substNEWwithIDs, but where each old "NEW..." id is mapped to the table it was from.
+	var $newRelatedIDs = array(); // Holds the tables and there the ids of newly created child records from IRRE
+	var $copyMappingArray_merged = array(); // This array is the sum of all copying operations in this class. May be READ from outside, thus partly public.
+	var $copiedFileMap = array(); // A map between input file name and final destination for files being attached to records.
+	var $RTEmagic_copyIndex = array(); // Contains [table][id][field] of fiels where RTEmagic images was copied. Holds old filename as key and new filename as value.
+	var $errorLog = array(); // Errors are collected in this variable.
 
 
-		// *********************
-		// Internal Variables, do not touch.
-		// *********************
+	// *********************
+	// Internal Variables, do not touch.
+	// *********************
 
-		// Variables set in init() function:
+	// Variables set in init() function:
 	/**
 	 * The user-object the script uses. If not set from outside, this is set to the current global $BE_USER.
 	 *
 	 * @var t3lib_beUserAuth
 	 */
 	var $BE_USER;
-	var $userid;		// will be set to uid of be_user executing this script
+	var $userid; // will be set to uid of be_user executing this script
-	var $username;		// will be set to username of be_user executing this script
+	var $username; // will be set to username of be_user executing this script
-	var $admin;			// will be set if user is admin
+	var $admin; // will be set if user is admin
 
-	var $defaultPermissions = array(		// Can be overridden from $TYPO3_CONF_VARS
+	var $defaultPermissions = array( // Can be overridden from $TYPO3_CONF_VARS
 		'user' => 'show,edit,delete,new,editcontent',
 		'group' => 'show,edit,new,editcontent',
 		'everybody' => ''
 	);
 
-	var $exclude_array;			// The list of <table>-<fields> that cannot be edited by user. This is compiled from TCA/exclude-flag combined with non_exclude_fields for the user.
+	var $exclude_array; // The list of <table>-<fields> that cannot be edited by user. This is compiled from TCA/exclude-flag combined with non_exclude_fields for the user.
-	var $datamap = Array();		// Set with incoming data array
-	var $cmdmap = Array();		// Set with incoming cmd array
+	var $datamap = array(); // Set with incoming data array
+	var $cmdmap = array(); // Set with incoming cmd array
 
 		// Internal static:
-	var $pMap = Array(		// Permission mapping
+	var $pMap = array( // Permission mapping
-		'show' => 1,			// 1st bit
+		'show' => 1, // 1st bit
-		'edit' => 2,			// 2nd bit
+		'edit' => 2, // 2nd bit
-		'delete' => 4,			// 3rd bit
+		'delete' => 4, // 3rd bit
-		'new' => 8,				// 4th bit
+		'new' => 8, // 4th bit
-		'editcontent' => 16		// 5th bit
+		'editcontent' => 16 // 5th bit
 	);
-	var $sortIntervals = 256;					// Integer: The interval between sorting numbers used with tables with a 'sorting' field defined. Min 1
+	var $sortIntervals = 256; // Integer: The interval between sorting numbers used with tables with a 'sorting' field defined. Min 1
 
 		// Internal caching arrays
-	var $recUpdateAccessCache = Array();		// Used by function checkRecordUpdateAccess() to store whether a record is updateable or not.
-	var $recInsertAccessCache = Array();		// User by function checkRecordInsertAccess() to store whether a record can be inserted on a page id
+	var $recUpdateAccessCache = array(); // Used by function checkRecordUpdateAccess() to store whether a record is updateable or not.
+	var $recInsertAccessCache = array(); // User by function checkRecordInsertAccess() to store whether a record can be inserted on a page id
-	var $isRecordInWebMount_Cache=array();		// Caching array for check of whether records are in a webmount
+	var $isRecordInWebMount_Cache = array(); // Caching array for check of whether records are in a webmount
-	var $isInWebMount_Cache=array();			// Caching array for page ids in webmounts
+	var $isInWebMount_Cache = array(); // Caching array for page ids in webmounts
-	var $cachedTSconfig = array();				// Caching for collecting TSconfig for page ids
+	var $cachedTSconfig = array(); // Caching for collecting TSconfig for page ids
-	var $pageCache = Array();					// Used for caching page records in pageInfo()
-	var $checkWorkspaceCache = Array();			// Array caching workspace access for BE_USER
+	var $pageCache = array(); // Used for caching page records in pageInfo()
+	var $checkWorkspaceCache = array(); // Array caching workspace access for BE_USER
 
 		// Other arrays:
-	var $dbAnalysisStore=array();				// For accumulation of MM relations that must be written after new records are created.
+	var $dbAnalysisStore = array(); // For accumulation of MM relations that must be written after new records are created.
-	var $removeFilesStore=array();				// For accumulation of files which must be deleted after processing of all input content
+	var $removeFilesStore = array(); // For accumulation of files which must be deleted after processing of all input content
-	var $uploadedFileArray = array();			// Uploaded files, set by process_uploads()
+	var $uploadedFileArray = array(); // Uploaded files, set by process_uploads()
-	var $registerDBList=array();				// Used for tracking references that might need correction after operations
+	var $registerDBList = array(); // Used for tracking references that might need correction after operations
-	var $registerDBPids=array();				// Used for tracking references that might need correction in pid field after operations (e.g. IRRE)
+	var $registerDBPids = array(); // Used for tracking references that might need correction in pid field after operations (e.g. IRRE)
-	var $copyMappingArray = Array();			// Used by the copy action to track the ids of new pages so subpages are correctly inserted! THIS is internally cleared for each executed copy operation! DO NOT USE THIS FROM OUTSIDE! Read from copyMappingArray_merged instead which is accumulating this information.
+	var $copyMappingArray = array(); // Used by the copy action to track the ids of new pages so subpages are correctly inserted! THIS is internally cleared for each executed copy operation! DO NOT USE THIS FROM OUTSIDE! Read from copyMappingArray_merged instead which is accumulating this information.
-	var $remapStack = array();					// array used for remapping uids and values at the end of process_datamap
+	var $remapStack = array(); // array used for remapping uids and values at the end of process_datamap
-	var $remapStackRecords = array();			// array used for remapping uids and values at the end of process_datamap (e.g. $remapStackRecords[<table>][<uid>] = <index in $remapStack>)
+	var $remapStackRecords = array(); // array used for remapping uids and values at the end of process_datamap (e.g. $remapStackRecords[<table>][<uid>] = <index in $remapStack>)
-	protected $remapStackChildIds = array();	// array used for checking whether new children need to be remapped
+	protected $remapStackChildIds = array(); // array used for checking whether new children need to be remapped
-	protected $remapStackActions = array();		// array used for executing addition actions after remapping happened (sett processRemapStack())
+	protected $remapStackActions = array(); // array used for executing addition actions after remapping happened (sett processRemapStack())
-	protected $remapStackRefIndex = array();	// array used for executing post-processing on the reference index
+	protected $remapStackRefIndex = array(); // array used for executing post-processing on the reference index
-	var $updateRefIndexStack = array();			// array used for additional calls to $this->updateRefIndex
+	var $updateRefIndexStack = array(); // array used for additional calls to $this->updateRefIndex
-	var $callFromImpExp = false;				// tells, that this TCEmain was called from tx_impext - this variable is set by tx_impexp
+	var $callFromImpExp = FALSE; // tells, that this TCEmain was called from tx_impext - this variable is set by tx_impexp
-	var $newIndexMap = array();					// Array for new flexform index mapping
+	var $newIndexMap = array(); // Array for new flexform index mapping
 
-		// Various
+	// Various
 	/**
 	 * basicFileFunctions object
 	 *
 	 * @var t3lib_basicFileFunctions
 	 */
-	var $fileFunc;								// For "singleTon" file-manipulation object
+	var $fileFunc; // For "singleTon" file-manipulation object
-	var $checkValue_currentRecord=array();		// Set to "currentRecord" during checking of values.
+	var $checkValue_currentRecord = array(); // Set to "currentRecord" during checking of values.
-	var $autoVersioningUpdate = FALSE;			// A signal flag used to tell file processing that autoversioning has happend and hence certain action should be applied.
+	var $autoVersioningUpdate = FALSE; // A signal flag used to tell file processing that autoversioning has happend and hence certain action should be applied.
 
-	protected $disableDeleteClause = false;		// Disable delete clause
+	protected $disableDeleteClause = FALSE; // Disable delete clause
 	protected $checkModifyAccessListHookObjects;
 
 
-
-
-
-
-
-
-
-
-
 	/**
 	 * Initializing.
 	 * For details, see 'TYPO3 Core API' document.
@@ -389,15 +365,21 @@
 			$this->deleteTree = 1;
 		}
 
-		if ($GLOBALS['TYPO3_CONF_VARS']['BE']['explicitConfirmationOfTranslation'] && $this->updateModeL10NdiffData===TRUE)	{
+		if ($GLOBALS['TYPO3_CONF_VARS']['BE']['explicitConfirmationOfTranslation'] && $this->updateModeL10NdiffData === TRUE) {
 			$this->updateModeL10NdiffData = FALSE;
 		}
 
 			// Initializing default permissions for pages
 		$defaultPermissions = $GLOBALS['TYPO3_CONF_VARS']['BE']['defaultPermissions'];
-		if (isset($defaultPermissions['user']))		{$this->defaultPermissions['user'] = $defaultPermissions['user'];}
-		if (isset($defaultPermissions['group']))		{$this->defaultPermissions['group'] = $defaultPermissions['group'];}
-		if (isset($defaultPermissions['everybody']))		{$this->defaultPermissions['everybody'] = $defaultPermissions['everybody'];}
+		if (isset($defaultPermissions['user'])) {
+			$this->defaultPermissions['user'] = $defaultPermissions['user'];
+		}
+		if (isset($defaultPermissions['group'])) {
+			$this->defaultPermissions['group'] = $defaultPermissions['group'];
+		}
+		if (isset($defaultPermissions['everybody'])) {
+			$this->defaultPermissions['everybody'] = $defaultPermissions['everybody'];
+		}
 
 			// generates the excludelist, based on TCA/exclude-flag and non_exclude_fields for the user:
 		$this->exclude_array = $this->admin ? array() : $this->getExcludeListArray();
@@ -407,7 +389,7 @@
 			reset($data);
 			$this->datamap = $data;
 		}
-		if (is_array($cmd))	{
+		if (is_array($cmd)) {
 			reset($cmd);
 			$this->cmdmap = $cmd;
 		}
@@ -420,14 +402,14 @@
 	 * @param	array		This array has the syntax $mirror[table_name][uid] = [list of uids to copy data-value TO!]
 	 * @return	void
 	 */
-	function setMirror($mirror)	{
+	function setMirror($mirror) {
-		if (is_array($mirror))	{
+		if (is_array($mirror)) {
 			foreach ($mirror as $table => $uid_array) {
-				if (isset($this->datamap[$table]))	{
+				if (isset($this->datamap[$table])) {
 					reset($uid_array);
 					foreach ($uid_array as $id => $uidList) {
-						if (isset($this->datamap[$table][$id]))	{
+						if (isset($this->datamap[$table][$id])) {
-							$theIdsInArray = t3lib_div::trimExplode(',',$uidList,1);
+							$theIdsInArray = t3lib_div::trimExplode(',', $uidList, 1);
 							foreach ($theIdsInArray as $copyToUid) {
 								$this->datamap[$table][$copyToUid] = $this->datamap[$table][$id];
 							}
@@ -444,14 +426,14 @@
 	 * @param	array		User TSconfig array
 	 * @return	void
 	 */
-	function setDefaultsFromUserTS($userTS)	{
+	function setDefaultsFromUserTS($userTS) {
 		global $TCA;
-		if (is_array($userTS))	{
+		if (is_array($userTS)) {
-			foreach($userTS as $k => $v)	{
+			foreach ($userTS as $k => $v) {
-				$k = substr($k,0,-1);
+				$k = substr($k, 0, -1);
-				if ($k && is_array($v) && isset($TCA[$k]))	{
+				if ($k && is_array($v) && isset($TCA[$k])) {
-					if (is_array($this->defaultValues[$k]))	{
+					if (is_array($this->defaultValues[$k])) {
-						$this->defaultValues[$k] = array_merge($this->defaultValues[$k],$v);
+						$this->defaultValues[$k] = array_merge($this->defaultValues[$k], $v);
 					} else {
 						$this->defaultValues[$k] = $v;
 					}
@@ -467,29 +449,29 @@
 	 * @param	array		$_FILES array
 	 * @return	void
 	 */
-	function process_uploads($postFiles)	{
+	function process_uploads($postFiles) {
 
-		if (is_array($postFiles))	{
+		if (is_array($postFiles)) {
 
 				// Editing frozen:
-			if ($this->BE_USER->workspace!==0 && $this->BE_USER->workspaceRec['freeze'])	{
+			if ($this->BE_USER->workspace !== 0 && $this->BE_USER->workspaceRec['freeze']) {
-				$this->newlog('All editing in this workspace has been frozen!',1);
+				$this->newlog('All editing in this workspace has been frozen!', 1);
 				return FALSE;
 			}
 
 			reset($postFiles);
 			$subA = current($postFiles);
-			if (is_array($subA))	{
+			if (is_array($subA)) {
-				if (is_array($subA['name']) && is_array($subA['type']) && is_array($subA['tmp_name']) && is_array($subA['size']))	{
+				if (is_array($subA['name']) && is_array($subA['type']) && is_array($subA['tmp_name']) && is_array($subA['size'])) {
 						// Initialize the uploadedFilesArray:
-					$this->uploadedFileArray=array();
+					$this->uploadedFileArray = array();
 
 						// For each entry:
-					foreach($subA as $key => $values)	{
+					foreach ($subA as $key => $values) {
-						$this->process_uploads_traverseArray($this->uploadedFileArray,$values,$key);
+						$this->process_uploads_traverseArray($this->uploadedFileArray, $values, $key);
 					}
 				} else {
-					$this->uploadedFileArray=$subA;
+					$this->uploadedFileArray = $subA;
 				}
 			}
 		}
@@ -505,30 +487,17 @@
 	 * @access private
 	 * @see process_uploads()
 	 */
-	function process_uploads_traverseArray(&$outputArr,$inputArr,$keyToSet)	{
+	function process_uploads_traverseArray(&$outputArr, $inputArr, $keyToSet) {
-		if (is_array($inputArr))	{
+		if (is_array($inputArr)) {
-			foreach($inputArr as $key => $value)	{
+			foreach ($inputArr as $key => $value) {
-				$this->process_uploads_traverseArray($outputArr[$key],$inputArr[$key],$keyToSet);
+				$this->process_uploads_traverseArray($outputArr[$key], $inputArr[$key], $keyToSet);
 			}
 		} else {
-			$outputArr[$keyToSet]=$inputArr;
+			$outputArr[$keyToSet] = $inputArr;
 		}
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/*********************************************
 	 *
 	 * HOOKS
@@ -552,12 +521,12 @@
 	function hook_processDatamap_afterDatabaseOperations(&$hookObjectsArr, &$status, &$table, &$id, &$fieldArray) {
 			// Process hook directly:
 		if (!isset($this->remapStackRecords[$table][$id])) {
-			foreach($hookObjectsArr as $hookObj)	{
+			foreach ($hookObjectsArr as $hookObj) {
 				if (method_exists($hookObj, 'processDatamap_afterDatabaseOperations')) {
 					$hookObj->processDatamap_afterDatabaseOperations($status, $table, $id, $fieldArray, $this);
 				}
 			}
-			// If this record is in remapStack (e.g. when using IRRE), values will be updated/remapped later on. So the hook will also be called later:
+				// If this record is in remapStack (e.g. when using IRRE), values will be updated/remapped later on. So the hook will also be called later:
 		} else {
 			$this->remapStackRecords[$table][$id]['processDatamap_afterDatabaseOperations'] = array(
 				'status' => $status,
@@ -577,11 +546,11 @@
 		if (!isset($this->checkModifyAccessListHookObjects)) {
 			$this->checkModifyAccessListHookObjects = array();
 
-			if(is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['checkModifyAccessList'])) {
+			if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['checkModifyAccessList'])) {
-				foreach($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['checkModifyAccessList'] as $classData) {
+				foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['checkModifyAccessList'] as $classData) {
 					$hookObject = t3lib_div::getUserObj($classData);
 
-					if(!($hookObject instanceof t3lib_TCEmain_checkModifyAccessListHook)) {
+					if (!($hookObject instanceof t3lib_TCEmain_checkModifyAccessListHook)) {
 						throw new UnexpectedValueException('$hookObject must implement interface t3lib_TCEmain_checkModifyAccessListHook', 1251892472);
 					}
 
@@ -594,17 +563,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
 	/*********************************************
 	 *
 	 * PROCESSING DATA
